=== debian/changelog ===
opusfile (0.12-4build3) noble; urgency=medium

  * No-change rebuild against libssl3t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 18:00:03 +0100

opusfile (0.12-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:42:54 +0000

opusfile (0.12-4build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:32:33 +0000

opusfile (0.12-4) unstable; urgency=medium

  * Backported patch for CVE-2022-47021 (Closes: #1030049)
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 05 Feb 2023 19:50:00 +0100

opusfile (0.12-3) unstable; urgency=medium

  [ IOhannes m zmölnig (Debian/GNU) ]
  * DEP14: renamed packaging branch to debian/latest
  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints
  * Bump standards version to 4.6.1

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 15:05:03 +0100

opusfile (0.12-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Mark libopusfile0, libopusfile-dev as Multi-Arch: same (Closes: #935590)
  * d/control: Mark libopusfile-doc as Multi-Arch: foreign

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add autopkgtests

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 31 May 2022 12:53:05 +0200

opusfile (0.12-1) unstable; urgency=medium

  * Upload to unstable.
  * Fix upstream contact.

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 30 May 2022 11:22:59 +0200

opusfile (0.12-1~exp1) experimental; urgency=medium

  * New upstream version 0.12 (Closes: #935591, #881788)

  * Salvage the package on behalf of the multimedia-team (Closes: #1009854)
  * Install libraries into multi-arch locations
    (Closes: #935590, #923031, #899138) (LP: #1883753)
  * Drop empty dbg package (switching to automatic dbgsym packages)
  * Add build-dependency hints to .symbols file
  * Mark lib*.la files as not-installed
  * Install AUTHORS and README.md
  * Remove trailing whitespace from d/changelog
  * d/control
    + Declare that building this package does not require 'root' powers.
    + Use Priority "optional" instead of the obsolete "extra"
    + ${misc:Depends} for libopusfile-doc
    + Fix package descriptions
    + Update Vcs-* stanzas
    + Make the doc-package "suggest" the dev-package
  * d/copyright
    + Convert to DEP-5
    + Add 'licensecheck' target to d/rules
    + Generate d/copyright_hints
  * Add salsa-ci configuration
  * Add watch file
  * Add gbp.conf
  * Switch to 3.0 source format (Closes: #1007053)
  * Bump dh-compat to 13 (Closes: #965762)
    + Drop old build script in favour of shortform 'dh'
  * Bump standards version to 4.6.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 18 May 2022 15:30:03 +0200

opusfile (0.9+20170913-1) unstable; urgency=medium

  * Fix an invalid free with tag handling.
  * Improve handling of corrupt streams.
  * Improve performance on streams with many chain segments.
  * Improve TLS host validation.
  * Align op_raw_total to work better with op_raw_seek.
  * Includes the fix for an out-of-bounds read in serialno matching logic
    (a bug which was introduced after the 0.8 release but found and fixed
    after 0.9 was tagged).

 -- Ron Lee <ron@debian.org>  Thu, 28 Sep 2017 02:56:19 +0930

opusfile (0.8-1) unstable; urgency=medium

  * Fix skip logic for multiplexed non-Opus data.
  * Fix issues with tag parsing introduced in 0.7.
  * Add support for OpenSSL 1.1.x.  Thanks to Kurt Roeckx for doing the early
    build tests and reporting the need for this.  Closes: #828480

 -- Ron Lee <ron@debian.org>  Thu, 07 Jul 2016 13:08:40 +0930

opusfile (0.7-1) unstable; urgency=medium

  * Better overflow check for serialno allocation.
  * Handle continued packets in bisection search.
  * Fix timestamp check for seek-free seek.
  * Buffer continued packet data to reduce seeking.
  * Add support for R128_ALBUM_GAIN tag.
  * Fix potential memory leaks with OpusServerInfo.

 -- Ron Lee <ron@debian.org>  Wed, 06 Jan 2016 07:08:02 +1030

opusfile (0.6-1) unstable; urgency=medium

  * Fixes for comment handling.
  * Fixes header reading for non-Opus streams.
  * Fixes for zero size METADATA_BLOCK_PICTURE.

 -- Ron Lee <ron@debian.org>  Sat, 04 Oct 2014 10:54:29 +0930

opusfile (0.5-1) unstable; urgency=low

  * Much new goodness, too much to list here, see git for details.
  * Add a symbols file now that we're back on a tagged release again.

 -- Ron Lee <ron@debian.org>  Sat, 11 Jan 2014 07:35:41 +1030

opusfile (0.2+20130702-1) unstable; urgency=low

  * Update the package dependencies too.  Closes: #707969 (again)

 -- Ron Lee <ron@debian.org>  Tue, 02 Jul 2013 16:33:34 +0930

opusfile (0.2+20130513-1) unstable; urgency=low

  * Snapshot release for unstable.
  * Fixes the pkg-config file to avoid overlinking.  Closes: #707969
  * Split the URL handling into a separate library, so that linking with
    openssl is only an issue for people who do need that functionality.
    The main opusfile library can now be linked with anything again.
    Closes:  #708008

 -- Ron Lee <ron@debian.org>  Mon, 13 May 2013 21:43:40 +0930

opusfile (0.2-1) experimental; urgency=low

  * Initial release.  Closes: #692942

 -- Ron Lee <ron@debian.org>  Sat, 17 Nov 2012 21:27:45 +1030

opusfile (0.1-1) experimental; urgency=low

  * Initial test package.

 -- Ron Lee <ron@debian.org>  Sun, 11 Nov 2012 10:38:53 +1030
