=== debian/control ===
Source: opusfile
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Ron Lee <ron@debian.org>,
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libogg-dev,
 libopus-dev,
 libssl-dev,
 pkg-config,
Build-Depends-Indep:
 doxygen,
 graphviz,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://www.opus-codec.org
Vcs-Git: https://salsa.debian.org/multimedia-team/opusfile.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/opusfile

Package: libopusfile0
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High-level API for basic manipulation of Ogg Opus audio streams
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package provides the opusfile runtime library.

Package: libopusfile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libogg-dev,
 libopus-dev,
 libopusfile0 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libssl-dev,
Description: development files for libopusfile
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package provides the Opus library headers and development files.

Package: libopusfile-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Suggests:
 libopusfile-dev,
Description: libopusfile API documentation
 libopusfile provides several sets of built-in routines for file and stream
 access, and may also use custom stream I/O routines provided by the embedded
 environment.  There are built-in I/O routines provided for ANSI-compliant
 stdio (FILE *), memory buffers, and URLs (including <file:> URLs, plus
 optionally <http:> and <https:> URLs).
 .
 It is implemented as a layer on top of Xiph.Org's reference libogg and
 libopus libraries.
 .
 This package contains the developer documentation for libopusfile.
