=== debian/tests/control ===
Test-Command: make -C debian/tests
Depends:
 build-essential,
 libopusfile-dev,
 libssl-dev,
 pkg-config,
